import request from '@/utils/request'

// 查询站点文章分类管理列表
export function listArticleCategory(query) {
  return request({
    url: '/system/articleCategory/list',
    method: 'get',
    params: query
  })
}

// 查询站点文章分类管理详细
export function getArticleCategory(id) {
  return request({
    url: '/system/articleCategory/' + id,
    method: 'get'
  })
}

// 新增站点文章分类管理
export function addArticleCategory(data) {
  return request({
    url: '/system/articleCategory',
    method: 'post',
    data: data
  })
}

// 修改站点文章分类管理
export function updateArticleCategory(data) {
  return request({
    url: '/system/articleCategory',
    method: 'put',
    data: data
  })
}

// 删除站点文章分类管理
export function delArticleCategory(id) {
  return request({
    url: '/system/articleCategory/' + id,
    method: 'delete'
  })
}
